/* 
Theme Name:		 rishikeshashtangayogaschool
Theme URI:		 http://childtheme-generator.com/
Description:	 rishikeshashtangayogaschool is a child theme of Total, created by ChildTheme-Generator.com
Author:			 RAYS
Author URI:		 http://childtheme-generator.com/
Template:		 total
Version:		 1.0.0
Text Domain:	 rishikeshashtangayogaschool
*/

/*
    Add your custom styles here
*/

:root {
  --clr-primary: hsl(185, 100%, 21%);
  --clr-secondary: hsl(347, 83%, 63%);
  --clr-primary-l: hsla(185, 100%, 96%, 1);
  --clr-secondary-l: hsla(347, 83%, 98%, 1);
  --font-primary: "Quicksand", sans-serif;
  --font-secondary: "Rubik", sans-serif;
}

.ht-menu > ul > li.menu-item:hover > a,
.ht-menu > ul > li.menu-item.current_page_item > a,
.ht-menu > ul > li.menu-item.current-menu-item > a,
.ht-menu > ul > li.menu-item.current_page_ancestor > a,
.ht-menu > ul > li.menu-item.current > a {
  color: inherit !important;
  background: inherit !important;
}

@media (min-width: 768px) {
  .ht-menu > ul > li.menu-item > a {
    font-size: 1.1vw;
  }

  .ht-menu ul {
    display: flex;
    gap: 1.5rem;
  }

  .ht-menu > ul > li.menu-item:before {
    content: "";
    position: absolute;
    display: inline-block;
    right: -0.75rem;
    width: 1px;
    border: 1px solid black;
    height: 1rem;
    top: 1.35rem;
    transform: translate(0, -50%);
  }
  .ht-menu > ul > li.menu-item:last-child:before {
    display: none;
  }

  .ht-menu ul .theme-button a {
    margin-left: 3rem;
  }

  .wide .sub-menu {
    min-width: 260px;
  }

  .wider .sub-menu {
    min-width: 340px;
  }
}

@media (max-width: 768px) {
  .ht-site-header .ht-menu > ul > li > a,
  .ht-menu ul ul a {
    line-height: 1.3;
    padding: 15px 20px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
    width: 100%;
  }
}

.ht-menu ul .theme-button a {
  display: inline-block;
  padding: 5px 1.5rem;
  position: relative;
  z-index: 1;
  line-height: 1.75 !important;
  font-size: 1.125rem;
  font-weight: 900;
  transition: 0.3s;
  border: 2px solid var(--clr-primary);
  background-color: var(--clr-primary);
  color: #fff !important;
  box-shadow:
    0 10px 20px rgba(0, 0, 0, 0.19),
    0 6px 6px rgba(0, 0, 0, 0.23);
}

.ht-menu ul .indian-flag a {
  padding-left: 36px;
  position: relative;
  z-index: 1;
}

.ht-menu ul .indian-flag a:before {
  content: "" !important;
  width: 26px;
  height: 20px;
  position: absolute;
  left: 0;
  top: 10px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url("https://upload.wikimedia.org/wikipedia/commons/thumb/4/41/Flag_of_India.svg/1920px-Flag_of_India.svg.png?_=20240117202436");
  border-radius: 2px;
}
